<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();
$set['title']='Партнёры';
include_once '../sys/inc/thead.php';
title();
if (isset($_POST['add']) && $_POST['name']!=NULL)
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
mysql_query("INSERT INTO `partners` (`name`, `url`, `type`) VALUES ('$name', '', 'razd')");
msg('Раздел успешно добавлен.');
}
err();
aut();
if($user['id']==1){
if (isset($_GET['add'])){
echo "<form class='menu' action='?add=$passgen' method=\"post\">";
echo "Название:<br />";
echo "<input type=\"text\" name=\"name\" value=\"\"/><br>";
echo "<input class='submit' name='add' type='submit' value='Создать' /><br>";
echo "</form>";
}
echo "<div class='p_m'><img src='/partners/icons/back.png'> <a href='/partners'>Назад</a></div>";
}
else echo "<div class='err'>Ошибка доступа.</div>";
include_once '../sys/inc/tfoot.php';
?>